This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 615700 - (ghc-gtksourceview2) Review Request: ghc-gtksourceview2 - Haskell gtksourceview2 binding
Review Request: ghc-gtksourceview2 - Haskell gtksourceview2 binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-gtk
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 00:28 EDT by Jens Petersen
Modified: 2011-01-28 10:00 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-gtksourceview2-0.12.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 18:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-07-18 00:28:38 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-gtksourceview2/ghc-gtksourceview2.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-gtksourceview2/ghc-gtksourceview2-0.11.0-1.fc13.src.rpm
Description: A Haskell gtksourceview2 binding.

Part of the gtk2hs project.
Comment 1 Jens Petersen 2010-08-18 22:06:35 EDT
Will update to 0.11.1 after rest of lower stack reviewed.
Comment 4 Narasimhan 2010-10-24 12:53:11 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-gtksourceview2-0.12.1-1.fc14.x86_64.rpm  ghc-gtksourceview2-devel-0.12.1-1.fc14.x86_64.rpm  ghc-gtksourceview2-prof-0.12.1-1.fc14.x86_64.rpm 

ghc-gtksourceview2.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-gtksourceview2-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-gtksourceview2-prof.x86_64: E: devel-dependency ghc-gtksourceview2-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-gtksourceview2-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-gtksourceview2-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/gtksourceview2-0.12.1/libHSgtksourceview2-0.12.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

3 packages and 0 specfiles checked; 1 errors, 4 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel rpm

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
    Yes, COPYING included in ghc-gtksourceview2-0.12.1-1.fc14.x86_64.rpm 

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

[~/ghc-gtksourceview2]$ md5sum gtksourceview2-0.12.1.tar.gz 
27aaa1c4109b9ef9b60b3dbda60ea5d6  gtksourceview2-0.12.1.tar.gz

[~/Desktop]$ md5sum  gtksourceview2-0.12.1.tar.gz 
27aaa1c4109b9ef9b60b3dbda60ea5d6  Desktop/gtksourceview2-0.12.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
    API documentation in devel package

[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed on x86_64. Installs file.

cabal2spec-diff is OK.

APPROVED.
Comment 5 Jens Petersen 2010-10-25 22:46:51 EDT
Thank you for the review :)


New Package SCM Request
=======================
Package Name: ghc-gtksourceview2
Short Description: Haskell gtksourceview2 binding
Owners: petersen
Branches: f14
InitialCC: haskell-sig
Comment 6 Jens Petersen 2010-10-28 04:52:37 EDT
Git done (by process-git-requests).
Comment 7 Jens Petersen 2010-10-28 06:01:08 EDT
Imported and built - thanks
Comment 8 Fedora Update System 2010-10-28 06:06:35 EDT
ghc-gtksourceview2-0.12.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-gtksourceview2-0.12.1-1.fc14
Comment 9 Fedora Update System 2010-10-28 18:17:24 EDT
ghc-gtksourceview2-0.12.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-gtksourceview2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-gtksourceview2-0.12.1-1.fc14
Comment 10 Fedora Update System 2010-11-05 18:56:15 EDT
ghc-gtksourceview2-0.12.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2010-11-10 03:09:21 EST
Package Change Request
======================
Package Name: ghc-gtksourceview2
New Branches: f13 el6
Owners: petersen
InitialCC: haskell-sig
Comment 12 Jason Tibbitts 2010-11-11 10:53:29 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.